SIGPENDING(3P)

NAME
sigpending - examine pending signals

SYNOPSIS

#include <signal.h>

int sigpending(sigset_t *set);

DESCRIPTION

The sigpending() function shall store, in the location referenced by the set argument, the set of signals that are blocked from delivery to the calling thread and that are pending on the process or the calling thread.

RETURN VALUE

Upon successful completion, sigpending() shall return 0; otherwise, -1 shall be returned and errno set to indicate the error.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

sigaddset() , sigdelset() , sigemptyset() , sigfillset() , sigismember() , sigprocmask() , the Base Definitions volume of IEEE Std 1003.1-2001, <signal.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .